searchNodes=[{"doc":"Tools for dealing with liveview processes, components, sockets, assigns. Pulls this information directly from the list of BEAM processes.","ref":"Periscope.html","title":"Periscope","type":"module"},{"doc":"Returns a list of liveview module names. Expect to see stuff like MyApp.CustomerWorkflow or some such name. This does NOT list the names of components. Use components/0 for that.","ref":"Periscope.html#all_liveviews/0","title":"Periscope.all_liveviews/0","type":"function"},{"doc":"Returns the sockets for all active liveviews in a 0-indexed map. So all_sockets(0) will return the first socket in the map.","ref":"Periscope.html#all_sockets/0","title":"Periscope.all_sockets/0","type":"function"},{"doc":"Returns the assigns for the fully-qualified component name, e.g. assigns_for(MyappWeb.MainView.Table) will return the assigns for that component.","ref":"Periscope.html#assigns_for/1","title":"Periscope.assigns_for/1","type":"function"},{"doc":"Returns a list of active component names. These are module names, so you only see one per module. Even if one component is rendered many times, you will only see its name once. If you want to see how many instances of a component are rendered. use components/0. Note that components have their own assigns. If you want to see the assigns for a component, you can use assigns_for/1.","ref":"Periscope.html#component_names/0","title":"Periscope.component_names/0","type":"function"},{"doc":"Returns a map whose keys are component names (as those found in component_names) and whose values are the assigns for those components.","ref":"Periscope.html#components_to_assigns/0","title":"Periscope.components_to_assigns/0","type":"function"},{"doc":"Searches through a nested map (such as socket.assigns) and checks if key exists at any point in the tree. Useful for finding out if a given key is somewhere in your assigns without scrolling through pages of socket info.","ref":"Periscope.html#deep_has_key?/2","title":"Periscope.deep_has_key?/2","type":"function"},{"doc":"Takes a route and returns true if it's a route to a liveview module.","ref":"Periscope.html#is_a_liveview_route?/1","title":"Periscope.is_a_liveview_route?/1","type":"function"},{"doc":"liveview_pids returns the PID of every process if that process contains a liveview.","ref":"Periscope.html#liveview_pids/0","title":"Periscope.liveview_pids/0","type":"function"},{"doc":"Will return a map that takes liveviews to lists of paths to those views. Useful if you want to access a component fast without having to scroll through the router and figure out its URL.","ref":"Periscope.html#liveviews_to_paths/0","title":"Periscope.liveviews_to_paths/0","type":"function"},{"doc":"Takes the last part of a schema module name and returns all the fields in that schema. So running schema_fields(&quot;Comments&quot;) in an app called MyBlog will return all fields for MyBlog.Schemas.Comments..","ref":"Periscope.html#schema_fields/1","title":"Periscope.schema_fields/1","type":"function"},{"doc":"Returns a single socket. You can access the assigns using socket.assigns. However, socket.assigns will not show the assigns on the components (see component_names).","ref":"Periscope.html#socket/1","title":"Periscope.socket/1","type":"function"},{"doc":"as socket/1, but for liveview names.","ref":"Periscope.html#which_liveview/1","title":"Periscope.which_liveview/1","type":"function"}]